//---------------------------------------------------------------------------

#ifndef OknoGLH
#define OknoGLH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall FormResize(TObject *Sender);
   void __fastcall FormPaint(TObject *Sender);
private:	// User declarations
   HGLRC uchwytRC;
   HDC uchwytDC; 
   bool UstalFormatPikseli(HDC uchwytDC) const;
   bool InitWGL(HWND uchwytOkna);
   void UsunWGL();
   void UstawienieSceny(bool rzutowanieIzometryczne=false);
   void RysujScene();
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
